# microAnalyzer 

MicroAnalyzer is a software that allows users to maintain a project data belonging to a particular microchip. It is also possible to perform basic analysis above the bitmap image data. Functions for layers combinations of the given data are available as well.

### Version
1.0 - linux edition

### Installation

First of all, as prerequisites you have to have installed the following libraries, ideally of the same version. Compatibility with different versions of the libraries is not guaranteed.

* Qt 5.2.1
* OpenCV 3.1.0
* Boost 1.54

*For a case that you need to configure paths to the libraries manually, please edit file microAnalyzer.pro which contains the basic configurations for the compilation.*

It the case everything is installed and configured properly in your operating system, the code will compile for you with use of the following command line commands:

```sh
$ qmake
$ make microAnalyzer
```

For speeding up the compilation on multicore/multithread systems, you can use parameter -j*X*, where *X* is recommended to be your approx. the amount of cores of the machine - e.g. on 8 core system you can use -j8 as follows:

```sh
$ make microAnalyzer -j8
```

If you want to make a clean build, then use the following command set:

```sh
$ make clean
$ qmake
$ make microAnalyzer
```

### Running the application

The following command performed in the directory with compiled binary will run the application:

```sh
$ ./microAnalyzer
```

Use of the application is intuitive - load images into *Background layers* (File->Import image), perform analyses (menu Tools) with use of these background images and store the results to *Analysing layers* part.

### License

BUT OPEN SOURCE LICENCE

Version 1.

Copyright (c) 2010, Brno University of Technology, AntonĂ­nskĂˇ 548/1, 601 90, Czech Republic

----

BY INSTALLING, COPYING OR OTHER USES OF SOFTWARE YOU ARE DECLARING THAT YOU AGREE WITH THE TERMS AND CONDITIONS OF THIS LICENCE AGREEMENT. IF YOU DO NOT AGREE WITH THE TERMS AND CONDITIONS, DO NOT INSTAL, COPY OR USE THE SOFTWARE.

IF YOU DO NOT POSESS A VALID LICENCE, YOU ARE NOT AUTHORISED TO INSTAL, COPY OR OTHERWISE USE THE SOTWARE.

Definitions:

For the purpose of this agreement, **Software** shall mean a computer program (a group of computer programs functional as a unit) capable of copyright protection and accompanying documentation.

**Work based on Software** shall mean a work containing Software or a portion of it, either verbatim or with modifi-cations and/or translated into another language, or a work based on Software. Portions of work not containing a portion of Software or not based on Software are not covered by this definition, if it is capable of independent use and distributed separately.

**Source code** shall mean all the source code for all modules of Software, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable program. Source code distri-buted with Software need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable program runs.

Anyone who uses Software becomes **User**. User shall abide by this licence agreement.

BRNO UNIVERSITY OF TECHNOLOGY GRANTS TO USER A LICENCE TO USE SOFTWARE ON THE FOLLOWING TERMS AND CONDITIONS:

1. User may use Software for any purpose, commercial or non-commercial, without a need to pay any li-cence fee.
2. User may copy and distribute verbatim copies of executable Software with source code as he/she re-ceived it, in any medium, provided that User conspicuously and appropriately publishes on each copy an appropriate copyright notice and disclaimer of warranty; keeps intact all the notices that refer to this li-cence and to the absence of any warranty; and give any other recipients of Software a copy of this licence along with Software. User may charge a fee for the physical act of transferring a copy, and may offer war-ranty protection in exchange for a fee.
3. User may modify his/her copy or copies of Software or any portion of it, thus forming a work based on Software, and copy and distribute such modifications or work, provided that User clearly states this work is modified Software. These modifications or work based on software may be distributed only under the terms of section 2 of this licence agreement, regardless if it is distributed alone or together with other work. Previous sentence does not apply to mere aggregation of another work not based on software with Software (or with a work based on software) on a volume of a storage or distribution medium.
4. User shall accompany copies of Software or work based on software in object or executable form with:
    a) the complete corresponding machine-readable source code, which must be distributed on a medium customarily used for software interchange; or,
    b) written offer, valid for at least three years, to give any third party, for a charge no more than actual cost of physically performing source distribution, a complete machine-readable copy of the corres-ponding source code, to be distributed on a medium customarily used for software interchange; or,
    c) the information User received as to the offer to distribute corresponding source code. (This alterna-tive is allowed only for noncommercial distribution and only if User received the program in objects code or executable form with such an offer, in accord with subsection b above.)
5. User may not copy, modify, grant sublicences or distribute Software in any other way than expressly pro-vided for in this licence agreement. Any other copying, modifying, granting of sublicences or distribution of Software is illegal and will automatically result in termination of the rights granted by this licence. This does not affect rights of third parties acquired in good faith, as long as they abide by the terms and condi-tions of this licence agreement.
6. User may not use and/or distribute Software, if he/she cannot satisfy simultaneously obligations under this licence and any other pertinent obligations.
7. User is not responsible for enforcing terms of this agreement by third parties.
8. BECAUSE SOFTWARE IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR SOFTWARE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHER-WISE STATED IN WRITING, BUT PROVIDES SOFTWARE "AS IS" WITHOUT WARRANTY OF ANY KIND,EITHER EXPRESSED OR IMPLIED,INCLUDING,BUT NOT LIMITED TO,THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICU-LAR PURPOSE.THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF SOFT-WARE IS WITH USER. SHOULD SOFTWARE PROVE DEFECTIVE, USER SHALL ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

    IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL BRNO UNIVERSITY OF TECHNOLOGY BE LIABLE FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SOFTWARE (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF SOFTWARE TO OPERATE WITH ANY OTHER PRO-GRAMS). 

Final provisions:

Any provision of this licence agreement that is prohibited, unenforceable, or not authorized in any jurisdiction shall, as to such jurisdiction, be ineffective to the extent of such prohibition, unenforceability, or non-authorization without invalidating or affecting the remaining provisions.

This licence agreement provides in essentials the same extent of rights as the terms of GNU GPL version 2 and Software fulfils the requirements of Open Source software.

This agreement is governed by law of the Czech Republic. In case of a dispute, the jurisdiction shall be that of courts in the Czech Republic.

By installing, copying or other use of Software User declares he/she has read this terms and conditions, under-stands them and his/her use of Software is a demonstration of his/her free will absent of any duress.


