////////////////////////////////////////////////////////////////////////////////
/**
 *  \file     layercomposer.h
 *  \version  v1.0
 *  \author   Ing. Dominik Malcik
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef LAYERCOMPOSER_H
#define LAYERCOMPOSER_H

#include <QMainWindow>
#include <QPainter>

#include "opencvprocessor.h"

// singleton
#include "project.h"

class LayerComposer : public QMainWindow
{
    Q_OBJECT
public:
    explicit LayerComposer(QWidget *parent = 0);
    QImage composeLayers (std::vector<QString> importedLayers,
                          std::vector<QString> analysingLayersLayers,
                          std::vector<int> importedIndexes,
                          std::vector<int> analysingIndexes,
                          QString &bgRootDir,
                          QString &overLayRootDir);
    QImage maskSelectedLayer(QString &bgImageFileName, QString &bgRootDir, QRgb maskColor, int rThrsh, int gThrsh, int bThrsh);
    QImage composeHistograms (QImage * bgImage);

signals:

public slots:

};

#endif // LAYERCOMPOSER_H
